> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/project-classifications/{kind}/order
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/project-classifications/{kind}/order:
    put:
      tags:
        - Project Classifications
      summary: Reorder
      operationId: ProjectClassificationsController_reorder_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: kind
          required: true
          in: path
          schema:
            enum:
              - lifecycleStatus
              - sector
              - workType
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderProjectClassificationOptionsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectClassificationOptionResponseDto'
components:
  schemas:
    ReorderProjectClassificationOptionsDto:
      type: object
      properties:
        keys:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
            pattern: ^[a-z][a-z0-9_]{0,63}$
      required:
        - keys
      additionalProperties: false
    ProjectClassificationOptionResponseDto:
      type: object
      properties:
        id:
          type: string
        kind:
          enum:
            - lifecycleStatus
            - sector
            - workType
          type: string
        key:
          type: string
        label:
          type: string
          nullable: true
        isBuiltIn:
          type: boolean
        position:
          type: number
        isActive:
          type: boolean
      required:
        - id
        - kind
        - key
        - label
        - isBuiltIn
        - position
        - isActive

````